Skip to Content

Not able to install SAP Gui 7.40 Patch 17 from Single File Installer

Hello,

i'm trying to install SAP Gui 7.40 Patch 17 on a Users PC.

I've patched our SAP Installtion Server to Patch 17 and created a Single File Installer. When i try to install SAP Gui now it just extract the Files -> shows Installtion Gui -> Click "Next" -> Cleaning up Temp Files. All this happens in a few seconds.

No Gui is installed and the Log File says:

08:58:13.597 NwSapFeiUt 1 Process <C:\Users\rosc\AppData\Local\Temp\SapF73C.tmp\Setup\NwSapSetup.exe /package:"aec0f5e9-7679-405d-ada8-fa91a1a15de1" > has finished.
08:58:13.597 NwSapFeiUt 1 Process <C:\Users\rosc\AppData\Local\Temp\SapF73C.tmp\Setup\NwSapSetup.exe /package:"aec0f5e9-7679-405d-ada8-fa91a1a15de1" > has the return code 0
08:58:13.597 SapSelfX 1 Exit code: 0

08:58:14.159 SapSelfX 1 The End.
08:58:14.159 SapSelfX 1 ------------------------------------------------------------
08:58:14.159 SapSelfX 1 Return-Code: 0
08:58:14.159 SapSelfX 1 ------------------------------------------------------------

I already deleted all Temp Files and all SAP Folders (Program Files, Appdata) and restarted the System.

But i still get the same Error.

Perhaps you have ideas about the problem?

Thanks

Best regards,
Robin

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

4 Answers

  • Mar 28 at 12:33 PM

    Press the "ALT" key on your saplogon pad, and go to "about SAP Logon".

    What information is displayed there?

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 26 at 02:08 PM

    Hello Robin,

    Are you installation SAP GUI 7.40 ? it strange that SapSetup ends with RC 0 indicating a successful installation...

    Have you created your installation server based on the latest SAP GUI 7.40 compilation "3" available ?

    You might need to update your server with the latest SAP Setup patch 9.0.94.0. See note 1587566. Then create a new single-file installer.

    On another note, I would consider upgrading to SAP GUI 7.50 considering the support for 7.40 will end on June 30th, 2018. See note # 147519

    Kind regards,

    Eric

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 27 at 10:32 AM

    Hello Eric,

    thanks for your Answer.

    I guess the Server was set up with compilation 2. At the moment the Server runs on patch 9.0.94.

    I have to clarify if we can switch to Gui 7.50.


    We also have the Problem that the Automatic Workstation Update Service does not work properly. It updates SAP Gui to 7.40 Patch 17 if you look at Programes & Features in Windows but if you look at the Fileversion of sapgui.exe it is still the old version.

    Add comment
    10|10000 characters needed characters exceeded

  • Apr 18 at 06:15 AM

    Hello Eric,

    i patched the Server to Version 9.0.95 now. We also upgraded to SAP GUI 7.50 Patch 4.

    I installed Patch 5 on the Server last week and i still have the same Problem that the client didn't get Patch 5. I also tried "Execute on Remote Workstation" to update my Package and also to install Product SAP GUI.

    On a PC with no SAP installed i don't have any Problems.

    Add comment
    10|10000 characters needed characters exceeded